Commit 8d994fe0 authored by Jaden DIEFENBAUGH's avatar Jaden DIEFENBAUGH
Browse files

[js] update all deps, much nicer static/flow analysis

parent 9ba1e951
This diff is collapsed.
......@@ -35,16 +35,16 @@
"babel-preset-react": "^6.24.1",
"chai": "^4.1.2",
"chai-enzyme": "^1.0.0-beta.0",
"cross-env": "^5.1.5",
"cross-env": "^5.1.6",
"css-loader": "^0.28.11",
"enzyme": "^3.3.0",
"enzyme-adapter-react-16": "^1.1.1",
"eslint": "^4.19.1",
"eslint-plugin-compat": "^2.2.0",
"eslint-plugin-flowtype": "^2.46.3",
"eslint-plugin-import": "^2.11.0",
"eslint-plugin-react": "^7.8.2",
"flow-bin": "^0.72.0",
"eslint-plugin-compat": "^2.4.0",
"eslint-plugin-flowtype": "^2.49.3",
"eslint-plugin-import": "^2.12.0",
"eslint-plugin-react": "^7.9.1",
"flow-bin": "^0.74.0",
"html-webpack-plugin": "^3.2.0",
"husky": "^0.14.3",
"karma": "^2.0.2",
......@@ -55,47 +55,47 @@
"karma-mocha-reporter": "^2.2.5",
"karma-sourcemap-loader": "^0.3.7",
"karma-webpack": "^3.0.0",
"mocha": "^5.1.1",
"mocha": "^5.2.0",
"postcss": "^6.0.22",
"postcss-cli": "^5.0.0",
"postcss-cssnext": "^3.1.0",
"postcss-loader": "^2.1.5",
"postcss-smart-import": "^0.7.6",
"react-hot-loader": "^4.1.3",
"react-hot-loader": "^4.3.1",
"react-popper": "^0.10.4",
"react-test-renderer": "^16.3.2",
"react-test-renderer": "^16.4.0",
"redux-devtools": "^3.4.1",
"rimraf": "^2.6.2",
"sinon": "^5.0.7",
"sinon": "^6.0.0",
"style-loader": "^0.21.0",
"stylelint": "^9.2.0",
"stylelint": "^9.2.1",
"stylelint-config-standard": "^18.2.0",
"svg-inline-loader": "^0.8.0",
"tern-jsx": "^1.0.3",
"uglifyjs-webpack-plugin": "^1.2.5",
"webpack": "^4.8.3",
"webpack-cli": "^2.1.3",
"webpack": "^4.12.0",
"webpack-cli": "^3.0.3",
"webpack-dev-server": "^3.1.4",
"webpack-visualizer-plugin": "^0.1.11",
"worker-loader": "^1.1.1"
"worker-loader": "^2.0.0"
},
"dependencies": {
"ajv": "^6.5.0",
"ajv": "^6.5.1",
"bootstrap": "^4.1.1",
"classnames": "^2.2.5",
"classnames": "^2.2.6",
"d3": "^5.4.0",
"fast-levenshtein": "^2.0.6",
"fuse.js": "^3.2.0",
"fuse.js": "^3.2.1",
"prop-types": "^15.6.1",
"react": "^16.3.2",
"react": "^16.4.0",
"react-contextmenu": "^2.9.2",
"react-dom": "^16.3.2",
"react-dom": "^16.4.0",
"react-redux": "^5.0.7",
"react-router-dom": "^4.2.2",
"react-router-dom": "^4.3.1",
"react-transition-group": "^2.3.1",
"reactstrap": "^6.0.1",
"reactstrap": "^6.1.0",
"redux": "^4.0.0",
"redux-thunk": "^2.2.0",
"redux-thunk": "^2.3.0",
"reselect": "^3.0.1"
}
}
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment